javax.jms

## Interface QueueConnectionFactory

- All Superinterfaces:
    ConnectionFactory
  All Known Subinterfaces:
    XAQueueConnectionFactory
  All Known Implementing Classes:
    QueueConnectionFactory, XAQueueConnectionFactory

      public interface QueueConnectionFactory
      extends ConnectionFactory

  A client uses a `QueueConnectionFactory` object to create `QueueConnection` objects with a point-to-point JMS provider.

  `QueueConnectionFactory` can be used to create a `QueueConnection`, from which specialized queue-related objects can be created. A more general, and recommended, approach is to use the `ConnectionFactory` object.

  The `QueueConnectionFactory` object can be used to support existing code that already uses it.

  Since:
    JMS 1.0
  See Also:
    `ConnectionFactory`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueueConnection` | `createQueueConnection()` Creates a queue connection with the default user identity.
    `QueueConnection` | `createQueueConnection(String userName, String password)` Creates a queue connection with the specified user identity.

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext`

- - ### Method Detail

    - #### createQueueConnection

          QueueConnection createQueueConnection()
                                                throws JMSException

      Creates a queue connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called. .
      Returns:
        a newly created queue connection
      Throws:
        `JMSException` - if the JMS provider fails to create the queue connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

    - #### createQueueConnection

          QueueConnection createQueueConnection(String userName,
                                              String password)
                                                throws JMSException

      Creates a queue connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
      Parameters:
        `userName` - the caller's user name
        `password` - the caller's password
      Returns:
        a newly created queue connection
      Throws:
        `JMSException` - if the JMS provider fails to create the queue connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.